<?php

	session_start();
	require '../../db.php';
	$uyeid = $_SESSION['uyeid'];
	$paketid = $_GET["id"];
	include('Paymax.php');

	$paketbilgi = mysqli_fetch_array(mysqli_query($db, "SELECT * FROM paketler WHERE id = '$paketid'"));
	$paketkredi = $paketbilgi["paket_kredi"];
	$paketfiyat = $paketbilgi["paket_fiyat"];
	$paketadi = $paketbilgi["paket_adi"];
	$uyebilgi = mysqli_fetch_array(mysqli_query($db, "select * from uyeler WHERE id = '$uyeid'"));
	$order_id = md5(rand(100, 9999).''.time());
	$yttarih = date("d.m.Y H:i:s");
	$callbackOkUrl = ''.$site_url.'/entegrasyonlar/paymax/sonuc.php?durum=ok';
	$callbackFailUrl = ''.$site_url.'/entegrasyonlar/paymax/sonuc.php?durum=no';

	// Siparişi Oluşturalım.
	$kylm = mysqli_query($db, "INSERT INTO kredi_yuklemeleri(uyeid, orderid, kredi_miktari, tarih, durum)VALUES('$uyeid','$order_id','$paketkredi','$yttarih','Ödeme Bekliyor')");

	if ($kylm) {

		/*Sınıfı Api bilgilerinizle başlatın*/
		//$vallet = new Vallet_light_api("durmedya_api","9286ff228ed6edd2d9c8cc8f06abd7c35ed9c8d4","5521","CP079Vkg");
		$paymax = new Paymax_light_api("durmedya_api","9286ff228ed6edd2d9c8cc8f06abd7c35ed9c8d4","5521","CP079Vkg");
		/*Sipariş Bilgilerinizi Tanımlayın*/
		$order_data = array(
			'productName' => $paketadi,
			'productData' => array(
				array(
					'productName'=>$paketadi,
					'productPrice'=>$paketfiyat,
					'productType'=>'FIZIKSEL_URUN',
				),
			),
			'productType' => 'FIZIKSEL_URUN',
			'productsTotalPrice' => $paketfiyat,
			'orderPrice' => $paketfiyat,
			'currency' => 'TRY',
			'orderId' => $order_id,
			'locale' => 'tr',
			'conversationId' => 'conversationId',
			'buyerName' => $uyebilgi["ad"],
			'buyerSurName' => $uyebilgi["soyad"],
			'buyerGsmNo' => '05555555555',
			'buyerIp' => $_SERVER['REMOTE_ADDR'],
			'buyerMail' => $uyebilgi["email"],
			'buyerAdress' => 'TÜRKİYE',
			'buyerCountry' => 'TÜRKİYE',
			'buyerCity' => 'TÜRKİYE',
			'buyerDistrict' => 'TÜRKİYE',
			'callbackOkUrl' => $callbackOkUrl,
			'callbackFailUrl' => $callbackFailUrl
		);
		/*Sipariş Bilgilerinizi link oluşturmak için sınıfa gönderin*/
		$request = $paymax->create_payment_link($order_data);

		if($request['status']=='success' && isset($request['payment_page_url']))
		{
			/*status==success ve payment_page_url varsa başarılı bir işlem yürüttünüz*/
			$odeme_link = $request['payment_page_url'];
			Header("Location: ".$odeme_link);
		}
		else
		{
			/*Hatalı bir cevap alındı*/
			echo 'Ödeme linki üretilirken bir sorun oluştu';
			print_r($request);
		}

	}